diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/wireless/wifi-power-adaptation-interference.cc ns-3.36/examples/wireless/wifi-power-adaptation-interference.cc
--- ns-3.35/examples/wireless/wifi-power-adaptation-interference.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/wireless/wifi-power-adaptation-interference.cc	2022-04-30 18:23:57.726733000 -0700
@@ -41,12 +41,12 @@
  *
  * Example usage:
  * \code{.sh}
- *   ./waf --run "wifi-power-adaptation-interference --manager=ns3::AparfWifiManager --outputFileName=aparf"
+ *   ./ns3 run "wifi-power-adaptation-interference --manager=ns3::AparfWifiManager --outputFileName=aparf"
  * \endcode
  *
  * Another example (changing STAs position):
  * \code{.sh}
- *   ./waf --run "wifi-power-adaptation-interference --manager=ns3::AparfWifiManager --outputFileName=aparf --STA1_x=5 --STA2_x=205"
+ *   ./ns3 run "wifi-power-adaptation-interference --manager=ns3::AparfWifiManager --outputFileName=aparf --STA1_x=5 --STA2_x=205"
  * \endcode
  *
  * To enable the log of rate and power changes:
@@ -80,57 +80,155 @@
 
 NS_LOG_COMPONENT_DEFINE ("PowerAdaptationInterference");
 
-//Packet size generated at the AP.
+/// Packet size generated at the AP.
 static const uint32_t packetSize = 1420;
 
+/**
+ * \brief Class to collect node statistics.
+ */
 class NodeStatistics
 {
 public:
+  /**
+   * \brief Constructor.
+   * 
+   * \param aps Access points
+   * \param stas WiFi Stations.
+   */
   NodeStatistics (NetDeviceContainer aps, NetDeviceContainer stas);
 
+  /**
+   * \brief Collects the statistics at a given time.
+   * 
+   * \param time Time at which the statistics are collected.
+   */
   void CheckStatistics (double time);
 
+  /**
+   * \brief Callback called by WifiNetDevice/Phy/PhyTxBegin. 
+   * 
+   * \param path The trace path.
+   * \param packet The sent packet.
+   * \param powerW The Tx power.
+   */
   void PhyCallback (std::string path, Ptr<const Packet> packet, double powerW);
+  /**
+   * \brief Callback called by PacketSink/Rx.
+   * 
+   * \param path The trace path.
+   * \param packet The received packet.
+   * \param from The sender address.
+   */
   void RxCallback (std::string path, Ptr<const Packet> packet, const Address &from);
+  /**
+   * \brief Callback called by WifiNetDevice/RemoteStationManager/x/PowerChange.
+   * 
+   * \param path The trace path.
+   * \param oldPower Old Tx power.
+   * \param newPower Actual Tx power.
+   * \param dest Destination of the transmission.
+   */
   void PowerCallback (std::string path, double oldPower, double newPower, Mac48Address dest);
+  /**
+   * \brief Callback called by WifiNetDevice/RemoteStationManager/x/RateChange.
+   * 
+   * \param path The trace path.
+   * \param oldRate Old rate.
+   * \param newRate Actual rate.
+   * \param dest Destination of the transmission.
+   */
   void RateCallback (std::string path, DataRate oldRate, DataRate newRate, Mac48Address dest);
+  /**
+   * \brief Callback called by YansWifiPhy/State/State.
+   * 
+   * \param path The trace path.
+   * \param init Time when the state started.
+   * \param duration Amount of time we've been in (or will be in) the state.
+   * \param state The state.
+   */
   void StateCallback (std::string path, Time init, Time duration, WifiPhyState state);
 
+  /**
+   * \brief Get the Throughput output data
+   * 
+   * \return the Throughput output data.
+   */
   Gnuplot2dDataset GetDatafile ();
+  /**
+   * \brief Get the Power output data.
+   * 
+   * \return the Power output data.
+   */
   Gnuplot2dDataset GetPowerDatafile ();
+  /**
+   * \brief Get the IDLE state output data.
+   * 
+   * \return the IDLE state output data.
+   */
   Gnuplot2dDataset GetIdleDatafile ();
+  /**
+   * \brief Get the BUSY state output data.
+   * 
+   * \return the BUSY state output data.
+   */
   Gnuplot2dDataset GetBusyDatafile ();
+  /**
+   * \brief Get the TX state output data.
+   * 
+   * \return the TX state output data.
+   */
   Gnuplot2dDataset GetTxDatafile ();
+  /**
+   * \brief Get the RX state output data.
+   * 
+   * \return the RX state output data.
+   */
   Gnuplot2dDataset GetRxDatafile ();
 
+  /**
+   * \brief Get the Busy time.
+   * 
+   * \return the busy time. 
+   */
   double GetBusyTime ();
 
 private:
+  /// Time, DataRate pair vector.
   typedef std::vector<std::pair<Time, DataRate> > TxTime;
+  /**
+   * \brief Setup the WifiPhy object.
+   * 
+   * \param phy The WifiPhy to setup.
+   */
   void SetupPhy (Ptr<WifiPhy> phy);
+  /**
+   * \brief Get the time at which a given datarate has been recorded.
+   * 
+   * \param rate The datarate to search.
+   * \return the time.
+   */
   Time GetCalcTxTime (DataRate rate);
 
-  std::map<Mac48Address, double> currentPower;
-  std::map<Mac48Address, DataRate> currentRate;
-  uint32_t m_bytesTotal;
-  double totalEnergy;
-  double totalTime;
-  double busyTime;
-  double idleTime;
-  double txTime;
-  double rxTime;
-  double totalBusyTime;
-  double totalIdleTime;
-  double totalTxTime;
-  double totalRxTime;
-  Ptr<WifiPhy> myPhy;
-  TxTime timeTable;
-  Gnuplot2dDataset m_output;
-  Gnuplot2dDataset m_output_power;
-  Gnuplot2dDataset m_output_idle;
-  Gnuplot2dDataset m_output_busy;
-  Gnuplot2dDataset m_output_rx;
-  Gnuplot2dDataset m_output_tx;
+  std::map<Mac48Address, double> m_currentPower;  //!< Current Tx power for each sender.
+  std::map<Mac48Address, DataRate> m_currentRate; //!< Current Tx rate for each sender.
+  uint32_t m_bytesTotal;  //!< Number of received bytes.
+  double m_totalEnergy;   //!< Energy used.
+  double m_totalTime;     //!< Time spent.
+  double busyTime;        //!< BUSY time.
+  double idleTime;        //!< IDLE time.
+  double txTime;          //!< TX time.
+  double rxTime;          //!< RX time.
+  double m_totalBusyTime; //!< Total time in BUSY state.
+  double m_totalIdleTime; //!< Total time in IDLE state.
+  double m_totalTxTime;   //!< Total time in TX state.
+  double m_totalRxTime;   //!< Total time in RX state.
+  TxTime m_timeTable;     //!< Time, DataRate table.
+  Gnuplot2dDataset m_output;        //!< Throughput output data.
+  Gnuplot2dDataset m_output_power;  //!< Power output data.
+  Gnuplot2dDataset m_output_idle;   //!< IDLE output data.
+  Gnuplot2dDataset m_output_busy;   //!< BUSY output data.
+  Gnuplot2dDataset m_output_rx;     //!< RX output data.
+  Gnuplot2dDataset m_output_tx;     //!< TX output data.
 };
 
 NodeStatistics::NodeStatistics (NetDeviceContainer aps, NetDeviceContainer stas)
@@ -138,7 +236,6 @@
   Ptr<NetDevice> device = aps.Get (0);
   Ptr<WifiNetDevice> wifiDevice = DynamicCast<WifiNetDevice> (device);
   Ptr<WifiPhy> phy = wifiDevice->GetPhy ();
-  myPhy = phy;
   SetupPhy (phy);
   DataRate dataRate = DataRate (phy->GetDefaultMode ().GetDataRate (phy->GetChannelWidth ()));
   double power = phy->GetTxPowerEnd ();
@@ -147,20 +244,20 @@
       Ptr<NetDevice> staDevice = stas.Get (j);
       Ptr<WifiNetDevice> wifiStaDevice = DynamicCast<WifiNetDevice> (staDevice);
       Mac48Address addr = wifiStaDevice->GetMac ()->GetAddress ();
-      currentPower[addr] = power;
-      currentRate[addr] = dataRate;
+      m_currentPower[addr] = power;
+      m_currentRate[addr] = dataRate;
     }
-  currentRate[Mac48Address ("ff:ff:ff:ff:ff:ff")] = dataRate;
-  totalEnergy = 0;
-  totalTime = 0;
+  m_currentRate[Mac48Address ("ff:ff:ff:ff:ff:ff")] = dataRate;
+  m_totalEnergy = 0;
+  m_totalTime = 0;
   busyTime = 0;
   idleTime = 0;
   txTime = 0;
   rxTime = 0;
-  totalBusyTime = 0;
-  totalIdleTime = 0;
-  totalTxTime = 0;
-  totalRxTime = 0;
+  m_totalBusyTime = 0;
+  m_totalIdleTime = 0;
+  m_totalTxTime = 0;
+  m_totalRxTime = 0;
   m_bytesTotal = 0;
   m_output.SetTitle ("Throughput Mbits/s");
   m_output_idle.SetTitle ("Idle Time");
@@ -181,14 +278,14 @@
       DataRate dataRate = DataRate (mode.GetDataRate (phy->GetChannelWidth ()));
       Time time = phy->CalculateTxDuration (packetSize, txVector, phy->GetPhyBand ());
       NS_LOG_DEBUG (mode.GetUniqueName () << " " << time.GetSeconds () << " " << dataRate);
-      timeTable.push_back (std::make_pair (time, dataRate));
+      m_timeTable.push_back (std::make_pair (time, dataRate));
     }
 }
 
 Time
 NodeStatistics::GetCalcTxTime (DataRate rate)
 {
-  for (TxTime::const_iterator i = timeTable.begin (); i != timeTable.end (); i++)
+  for (TxTime::const_iterator i = m_timeTable.begin (); i != m_timeTable.end (); i++)
     {
       if (rate == i->second)
         {
@@ -208,21 +305,21 @@
 
   if (head.GetType () == WIFI_MAC_DATA)
     {
-      totalEnergy += pow (10.0, currentPower[dest] / 10.0) * GetCalcTxTime (currentRate[dest]).GetSeconds ();
-      totalTime += GetCalcTxTime (currentRate[dest]).GetSeconds ();
+      m_totalEnergy += pow (10.0, m_currentPower[dest] / 10.0) * GetCalcTxTime (m_currentRate[dest]).GetSeconds ();
+      m_totalTime += GetCalcTxTime (m_currentRate[dest]).GetSeconds ();
     }
 }
 
 void
 NodeStatistics::PowerCallback (std::string path, double oldPower, double newPower, Mac48Address dest)
 {
-  currentPower[dest] = newPower;
+  m_currentPower[dest] = newPower;
 }
 
 void
 NodeStatistics::RateCallback (std::string path, DataRate oldRate, DataRate newRate, Mac48Address dest)
 {
-  currentRate[dest] = newRate;
+  m_currentRate[dest] = newRate;
 }
 
 void
@@ -231,22 +328,22 @@
   if (state == WifiPhyState::CCA_BUSY)
     {
       busyTime += duration.GetSeconds ();
-      totalBusyTime += duration.GetSeconds ();
+      m_totalBusyTime += duration.GetSeconds ();
     }
   else if (state == WifiPhyState::IDLE)
     {
       idleTime += duration.GetSeconds ();
-      totalIdleTime += duration.GetSeconds ();
+      m_totalIdleTime += duration.GetSeconds ();
     }
   else if (state == WifiPhyState::TX)
     {
       txTime += duration.GetSeconds ();
-      totalTxTime += duration.GetSeconds ();
+      m_totalTxTime += duration.GetSeconds ();
     }
   else if (state == WifiPhyState::RX)
     {
       rxTime += duration.GetSeconds ();
-      totalRxTime += duration.GetSeconds ();
+      m_totalRxTime += duration.GetSeconds ();
     }
 }
 
@@ -261,9 +358,9 @@
 {
   double mbs = ((m_bytesTotal * 8.0) / (1000000 * time));
   m_bytesTotal = 0;
-  double atp = totalEnergy / time;
-  totalEnergy = 0;
-  totalTime = 0;
+  double atp = m_totalEnergy / time;
+  m_totalEnergy = 0;
+  m_totalTime = 0;
   m_output_power.Add ((Simulator::Now ()).GetSeconds (), atp);
   m_output.Add ((Simulator::Now ()).GetSeconds (), mbs);
 
@@ -318,7 +415,7 @@
 double
 NodeStatistics::GetBusyTime ()
 {
-  return totalBusyTime + totalRxTime;
+  return m_totalBusyTime + m_totalRxTime;
 }
 
 void PowerCallback (std::string path, double oldPower, double newPower, Mac48Address dest)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/wireless/wifi-rate-adaptation-distance.cc ns-3.36/examples/wireless/wifi-rate-adaptation-distance.cc
--- ns-3.35/examples/wireless/wifi-rate-adaptation-distance.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/wireless/wifi-rate-adaptation-distance.cc	2022-04-30 18:23:57.726733000 -0700
@@ -38,13 +38,13 @@
  * - (if logging is enabled) the changes of rate to standard output.
  *
  * Example usage:
- * ./waf --run "wifi-rate-adaptation-distance --standard=802.11a --staManager=ns3::MinstrelWifiManager --apManager=ns3::MinstrelWifiManager --outputFileName=minstrel"
+ * ./ns3 run "wifi-rate-adaptation-distance --standard=802.11a --staManager=ns3::MinstrelWifiManager --apManager=ns3::MinstrelWifiManager --outputFileName=minstrel"
  *
  * Another example (moving towards the AP):
- * ./waf --run "wifi-rate-adaptation-distance --standard=802.11a --staManager=ns3::MinstrelWifiManager --apManager=ns3::MinstrelWifiManager --outputFileName=minstrel --stepsSize=1 --STA1_x=-200"
+ * ./ns3 run "wifi-rate-adaptation-distance --standard=802.11a --staManager=ns3::MinstrelWifiManager --apManager=ns3::MinstrelWifiManager --outputFileName=minstrel --stepsSize=1 --STA1_x=-200"
  *
  * Example for HT rates with SGI and channel width of 40MHz:
- * ./waf --run "wifi-rate-adaptation-distance --staManager=ns3::MinstrelHtWifiManager --apManager=ns3::MinstrelHtWifiManager --outputFileName=minstrelHt --shortGuardInterval=true --channelWidth=40"
+ * ./ns3 run "wifi-rate-adaptation-distance --staManager=ns3::MinstrelHtWifiManager --apManager=ns3::MinstrelHtWifiManager --outputFileName=minstrelHt --shortGuardInterval=true --channelWidth=40"
  *
  * To enable the log of rate changes:
  * export NS_LOG=RateAdaptationDistance=level_info
@@ -71,23 +71,51 @@
 
 NS_LOG_COMPONENT_DEFINE ("RateAdaptationDistance");
 
+/** Node statistics */
 class NodeStatistics
 {
 public:
+  /**
+   * Constructor
+   * \param aps AP devices
+   * \param stas STA devices
+   */
   NodeStatistics (NetDeviceContainer aps, NetDeviceContainer stas);
 
-  void CheckStatistics (double time);
-
+  /**
+   * RX callback
+   * \param path path
+   * \param packet received packet
+   * \param from sender
+   */
   void RxCallback (std::string path, Ptr<const Packet> packet, const Address &from);
+  /**
+   * Set node position
+   * \param node the node
+   * \param position the position
+   */
   void SetPosition (Ptr<Node> node, Vector position);
+  /**
+   * Advance node position
+   * \param node the node
+   * \param stepsSize the size of a step
+   * \param stepsTime the time interval between steps
+   */
   void AdvancePosition (Ptr<Node> node, int stepsSize, int stepsTime);
+  /**
+   * Get node position
+   * \param node the node
+   * \return the position
+   */
   Vector GetPosition (Ptr<Node> node);
-
+  /**
+   * \return the gnuplot 2d dataset
+   */
   Gnuplot2dDataset GetDatafile ();
 
 private:
-  uint32_t m_bytesTotal;
-  Gnuplot2dDataset m_output;
+  uint32_t m_bytesTotal;     //!< total bytes
+  Gnuplot2dDataset m_output; //!< gnuplot 2d dataset
 };
 
 NodeStatistics::NodeStatistics (NetDeviceContainer aps, NetDeviceContainer stas)
@@ -102,12 +130,6 @@
 }
 
 void
-NodeStatistics::CheckStatistics (double time)
-{
-
-}
-
-void
 NodeStatistics::SetPosition (Ptr<Node> node, Vector position)
 {
   Ptr<MobilityModel> mobility = node->GetObject<MobilityModel> ();
@@ -236,11 +258,11 @@
     {
       if (standard == "802.11n-2.4GHz")
         {
-          wifi.SetStandard (WIFI_STANDARD_80211n_2_4GHZ);
+          wifi.SetStandard (WIFI_STANDARD_80211n);
         }
       else if (standard == "802.11n-5GHz")
         {
-          wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
+          wifi.SetStandard (WIFI_STANDARD_80211n);
         }
 
       WifiMacHelper wifiMac;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/wireless/wifi-simple-adhoc.cc ns-3.36/examples/wireless/wifi-simple-adhoc.cc
--- ns-3.35/examples/wireless/wifi-simple-adhoc.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/wireless/wifi-simple-adhoc.cc	2022-04-30 18:23:57.726733000 -0700
@@ -26,15 +26,15 @@
 // There are a number of command-line options available to control
 // the default behavior.  The list of available command-line options
 // can be listed with the following command:
-// ./waf --run "wifi-simple-adhoc --help"
+// ./ns3 run "wifi-simple-adhoc --help"
 //
 // For instance, for this configuration, the physical layer will
 // stop successfully receiving packets when rss drops below -97 dBm.
 // To see this effect, try running:
 //
-// ./waf --run "wifi-simple-adhoc --rss=-97 --numPackets=20"
-// ./waf --run "wifi-simple-adhoc --rss=-98 --numPackets=20"
-// ./waf --run "wifi-simple-adhoc --rss=-99 --numPackets=20"
+// ./ns3 run "wifi-simple-adhoc --rss=-97 --numPackets=20"
+// ./ns3 run "wifi-simple-adhoc --rss=-98 --numPackets=20"
+// ./ns3 run "wifi-simple-adhoc --rss=-99 --numPackets=20"
 //
 // Note that all ns-3 attributes (not just the ones exposed in the below
 // script) can be changed at command line; see the documentation.
@@ -42,7 +42,7 @@
 // This script can also be helpful to put the Wifi layer into verbose
 // logging mode; this command will turn on all wifi logging:
 //
-// ./waf --run "wifi-simple-adhoc --verbose=1"
+// ./ns3 run "wifi-simple-adhoc --verbose=1"
 //
 // When you are done, you will notice two pcap trace files in your directory.
 // If you have tcpdump installed, you can try this:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/wireless/wifi-simple-adhoc-grid.cc ns-3.36/examples/wireless/wifi-simple-adhoc-grid.cc
--- ns-3.35/examples/wireless/wifi-simple-adhoc-grid.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/wireless/wifi-simple-adhoc-grid.cc	2022-04-30 18:23:57.726733000 -0700
@@ -37,7 +37,7 @@
 // There are a number of command-line options available to control
 // the default behavior.  The list of available command-line options
 // can be listed with the following command:
-// ./waf --run "wifi-simple-adhoc-grid --help"
+// ./ns3 run "wifi-simple-adhoc-grid --help"
 //
 // Note that all ns-3 attributes (not just the ones exposed in the below
 // script) can be changed at command line; see the ns-3 documentation.
@@ -47,21 +47,21 @@
 // the default of 500m.
 // To see this effect, try running:
 //
-// ./waf --run "wifi-simple-adhoc-grid --distance=500"
-// ./waf --run "wifi-simple-adhoc-grid --distance=1000"
-// ./waf --run "wifi-simple-adhoc-grid --distance=1500"
+// ./ns3 run "wifi-simple-adhoc-grid --distance=500"
+// ./ns3 run "wifi-simple-adhoc-grid --distance=1000"
+// ./ns3 run "wifi-simple-adhoc-grid --distance=1500"
 //
 // The source node and sink node can be changed like this:
 //
-// ./waf --run "wifi-simple-adhoc-grid --sourceNode=20 --sinkNode=10"
+// ./ns3 run "wifi-simple-adhoc-grid --sourceNode=20 --sinkNode=10"
 //
 // This script can also be helpful to put the Wifi layer into verbose
 // logging mode; this command will turn on all wifi logging:
 //
-// ./waf --run "wifi-simple-adhoc-grid --verbose=1"
+// ./ns3 run "wifi-simple-adhoc-grid --verbose=1"
 //
 // By default, trace file writing is off-- to enable it, try:
-// ./waf --run "wifi-simple-adhoc-grid --tracing=1"
+// ./ns3 run "wifi-simple-adhoc-grid --tracing=1"
 //
 // When you are done tracing, you will notice many pcap trace files
 // in your directory.  If you have tcpdump installed, you can try this:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/wireless/wifi-simple-ht-hidden-stations.cc ns-3.36/examples/wireless/wifi-simple-ht-hidden-stations.cc
--- ns-3.35/examples/wireless/wifi-simple-ht-hidden-stations.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/wireless/wifi-simple-ht-hidden-stations.cc	2022-04-30 18:23:57.726733000 -0700
@@ -36,7 +36,7 @@
 // This example considers two hidden stations in an 802.11n network which supports MPDU aggregation.
 // The user can specify whether RTS/CTS is used and can set the number of aggregated MPDUs.
 //
-// Example: ./waf --run "wifi-simple-ht-hidden-stations --enableRts=1 --nMpdus=8"
+// Example: ./ns3 run "wifi-simple-ht-hidden-stations --enableRts=1 --nMpdus=8"
 //
 // Network topology:
 //
@@ -98,9 +98,10 @@
   YansWifiPhyHelper phy;
   phy.SetPcapDataLinkType (WifiPhyHelper::DLT_IEEE802_11_RADIO);
   phy.SetChannel (channel.Create ());
+  phy.Set ("ChannelSettings", StringValue ("{36, 0, BAND_5GHZ, 0}"));
 
   WifiHelper wifi;
-  wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
+  wifi.SetStandard (WIFI_STANDARD_80211n);
   wifi.SetRemoteStationManager ("ns3::ConstantRateWifiManager", "DataMode", StringValue ("HtMcs7"), "ControlMode", StringValue ("HtMcs0"));
   WifiMacHelper mac;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/wireless/wifi-simple-infra.cc ns-3.36/examples/wireless/wifi-simple-infra.cc
--- ns-3.35/examples/wireless/wifi-simple-infra.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/wireless/wifi-simple-infra.cc	2022-04-30 18:23:57.726733000 -0700
@@ -19,23 +19,47 @@
 
 // This script configures two nodes on an 802.11b physical layer, with
 // 802.11b NICs in infrastructure mode, and by default, the station sends
-// one packet of 1000 (application) bytes to the access point.  The
-// physical layer is configured
-// to receive at a fixed RSS (regardless of the distance and transmit
-// power); therefore, changing position of the nodes has no effect.
+// one packet of 1000 (application) bytes to the access point.  Unlike
+// the default physical layer configuration in which the path loss increases
+// (and the received signal strength decreases) as the distance between the
+// nodes increases, this example uses an artificial path loss model that
+// allows the configuration of the received signal strength (RSS) regardless
+// of other transmitter parameters (such as transmit power) or distance.
+// Therefore, changing position of the nodes has no effect.
 //
 // There are a number of command-line options available to control
 // the default behavior.  The list of available command-line options
 // can be listed with the following command:
-// ./waf --run "wifi-simple-infra --help"
+// ./ns3 run "wifi-simple-infra --help"
+// Additional command-line options are available via the generic attribute
+// configuration system.
 //
-// For instance, for this configuration, the physical layer will
-// stop successfully receiving packets when rss drops below -97 dBm.
+// For instance, for the default configuration, the physical layer will
+// stop successfully receiving packets when rss drops to -82 dBm or below.
 // To see this effect, try running:
 //
-// ./waf --run "wifi-simple-infra --rss=-97 --numPackets=20"
-// ./waf --run "wifi-simple-infra --rss=-98 --numPackets=20"
-// ./waf --run "wifi-simple-infra --rss=-99 --numPackets=20"
+// ./ns3 run "wifi-simple-infra --rss=-80 --numPackets=20"
+// ./ns3 run "wifi-simple-infra --rss=-81 --numPackets=20"
+// ./ns3 run "wifi-simple-infra --rss=-82 --numPackets=20"
+//
+// The last command (and any RSS value lower than this) results in no
+// packets received.  This is due to the preamble detection model that
+// dominates the reception performance.  By default, the
+// ThresholdPreambleDetectionModel is added to all WifiPhy objects, and this
+// model prevents reception unless the incoming signal has a RSS above its
+// 'MinimumRssi' value (default of -82 dBm) and has a SNR above the 
+// 'Threshold' value (default of 4).
+//
+// If we relax these values, we can instead observe that signal reception
+// due to the 802.11b error model alone is much lower.  For instance,
+// setting the MinimumRssi to -101 (around the thermal noise floor).
+// and the SNR Threshold to -10 dB, shows that the DsssErrorRateModel can
+// successfully decode at RSS values of -97 or -98 dBm.
+//
+// ./ns3 run "wifi-simple-infra --rss=-97 --numPackets=20 --ns3::ThresholdPreambleDetectionModel::Threshold=-10 --ns3::ThresholdPreambleDetectionModel::MinimumRssi=-101"
+// ./ns3 run "wifi-simple-infra --rss=-98 --numPackets=20 --ns3::ThresholdPreambleDetectionModel::Threshold=-10 --ns3::ThresholdPreambleDetectionModel::MinimumRssi=-101"
+// ./ns3 run "wifi-simple-infra --rss=-99 --numPackets=20 --ns3::ThresholdPreambleDetectionModel::Threshold=-10 --ns3::ThresholdPreambleDetectionModel::MinimumRssi=-101"
+
 //
 // Note that all ns-3 attributes (not just the ones exposed in the below
 // script) can be changed at command line; see the documentation.
@@ -43,7 +67,7 @@
 // This script can also be helpful to put the Wifi layer into verbose
 // logging mode; this command will turn on all wifi logging:
 //
-// ./waf --run "wifi-simple-infra --verbose=1"
+// ./ns3 run "wifi-simple-infra --verbose=1"
 //
 // When you are done, you will notice two pcap trace files in your directory.
 // If you have tcpdump installed, you can try this:
@@ -72,7 +96,7 @@
 {
   while (socket->Recv ())
     {
-      NS_LOG_UNCOND ("Received one packet!");
+      std::cout << "Received one packet!" << std::endl;
     }
 }
 
@@ -81,9 +105,10 @@
 {
   if (pktCount > 0)
     {
+      NS_LOG_INFO ("Generating one packet of size " << pktSize);
       socket->Send (Create<Packet> (pktSize));
       Simulator::Schedule (pktInterval, &GenerateTraffic,
-                           socket, pktSize,pktCount - 1, pktInterval);
+                           socket, pktSize, pktCount - 1, pktInterval);
     }
   else
     {
@@ -97,7 +122,7 @@
   double rss = -80;  // -dBm
   uint32_t packetSize = 1000; // bytes
   uint32_t numPackets = 1;
-  double interval = 1.0; // seconds
+  Time interval = Seconds (1.0);
   bool verbose = false;
 
   CommandLine cmd (__FILE__);
@@ -105,11 +130,9 @@
   cmd.AddValue ("rss", "received signal strength", rss);
   cmd.AddValue ("packetSize", "size of application packet sent", packetSize);
   cmd.AddValue ("numPackets", "number of packets generated", numPackets);
-  cmd.AddValue ("interval", "interval (seconds) between packets", interval);
+  cmd.AddValue ("interval", "interval between packets", interval);
   cmd.AddValue ("verbose", "turn on all WifiNetDevice log components", verbose);
   cmd.Parse (argc, argv);
-  // Convert to time object
-  Time interPacketInterval = Seconds (interval);
 
   // Fix non-unicast data rate to be the same as that of unicast
   Config::SetDefault ("ns3::WifiRemoteStationManager::NonUnicastMode",
@@ -143,17 +166,17 @@
   // Add a mac and disable rate control
   WifiMacHelper wifiMac;
   wifi.SetRemoteStationManager ("ns3::ConstantRateWifiManager",
-                                "DataMode",StringValue (phyMode),
-                                "ControlMode",StringValue (phyMode));
+                                "DataMode", StringValue (phyMode),
+                                "ControlMode", StringValue (phyMode));
 
-  // Setup the rest of the mac
+  // Setup the rest of the MAC
   Ssid ssid = Ssid ("wifi-default");
-  // setup sta.
+  // setup STA 
   wifiMac.SetType ("ns3::StaWifiMac",
                    "Ssid", SsidValue (ssid));
   NetDeviceContainer staDevice = wifi.Install (wifiPhy, wifiMac, c.Get (0));
   NetDeviceContainer devices = staDevice;
-  // setup ap.
+  // setup AP
   wifiMac.SetType ("ns3::ApWifiMac",
                    "Ssid", SsidValue (ssid));
   NetDeviceContainer apDevice = wifi.Install (wifiPhy, wifiMac, c.Get (1));
@@ -173,7 +196,6 @@
   internet.Install (c);
 
   Ipv4AddressHelper ipv4;
-  NS_LOG_INFO ("Assign IP Addresses.");
   ipv4.SetBase ("10.1.1.0", "255.255.255.0");
   Ipv4InterfaceContainer i = ipv4.Assign (devices);
 
@@ -192,11 +214,11 @@
   wifiPhy.EnablePcap ("wifi-simple-infra", devices);
 
   // Output what we are doing
-  NS_LOG_UNCOND ("Testing " << numPackets  << " packets sent with receiver rss " << rss );
+  std::cout << "Testing " << numPackets  << " packets sent with receiver rss " << rss << std::endl;
 
   Simulator::ScheduleWithContext (source->GetNode ()->GetId (),
                                   Seconds (1.0), &GenerateTraffic,
-                                  source, packetSize, numPackets, interPacketInterval);
+                                  source, packetSize, numPackets, interval);
 
   Simulator::Stop (Seconds (30.0));
   Simulator::Run ();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/wireless/wifi-simple-interference.cc ns-3.36/examples/wireless/wifi-simple-interference.cc
--- ns-3.35/examples/wireless/wifi-simple-interference.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/wireless/wifi-simple-interference.cc	2022-04-30 18:23:57.726733000 -0700
@@ -58,7 +58,7 @@
 // For instance, for this configuration, the interfering frame arrives
 // at -90 dBm with a time offset of 3.2 microseconds:
 //
-// ./waf --run "wifi-simple-interference --Irss=-90 --delta=3.2"
+// ./ns3 run "wifi-simple-interference --Irss=-90 --delta=3.2"
 //
 // Note that all ns-3 attributes (not just the ones exposed in the below
 // script) can be changed at command line; see the documentation.
@@ -66,7 +66,7 @@
 // This script can also be helpful to put the Wifi layer into verbose
 // logging mode; this command will turn on all wifi logging:
 //
-// ./waf --run "wifi-simple-interference --verbose=1"
+// ./ns3 run "wifi-simple-interference --verbose=1"
 //
 // When you are done, you will notice a pcap trace file in your directory.
 // If you have tcpdump installed, you can try this:
@@ -77,7 +77,7 @@
 //
 // Next, try this command and look at the tcpdump-- you should see two packets
 // that are no longer interfering:
-// ./waf --run "wifi-simple-interference --delta=30000"
+// ./ns3 run "wifi-simple-interference --delta=30000"
 
 #include "ns3/command-line.h"
 #include "ns3/config.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/examples/wireless/wifi-sleep.cc ns-3.36/examples/wireless/wifi-sleep.cc
--- ns-3.35/examples/wireless/wifi-sleep.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/examples/wireless/wifi-sleep.cc	2022-04-30 18:23:57.726733000 -0700
@@ -31,7 +31,7 @@
 // There are a number of command-line options available to control
 // the default behavior.  The list of available command-line options
 // can be listed with the following command:
-// ./waf --run "wifi-sleep --help"
+// ./ns3 run "wifi-sleep --help"
 //
 // Note that all ns-3 attributes (not just the ones exposed in the below
 // script) can be changed at command line; see the documentation.
@@ -39,7 +39,7 @@
 // This script can also be helpful to put the Wifi layer into verbose
 // logging mode; this command will turn on all wifi logging:
 //
-// ./waf --run "wifi-sleep --verbose=1"
+// ./ns3 run "wifi-sleep --verbose=1"
 //
 // When you are done, you will notice four trace files in your directory:
 // two for the remaining energy on each node and two for the state transitions
